<?php

Route::get('/', 'DashboardController')->name('admin.dashboard.index');

Route::group(['prefix' => 'event'], function (): void {
    Route::get('/', 'EventController@index')->name('admin.event.index');
    Route::post('/', 'EventController@store')->name('admin.event.store');
    Route::get('create', 'EventController@create')->name('admin.event.create');
    Route::get('{event}', 'EventController@show')->name('admin.event.show');
    Route::get('{event}/edit', 'EventController@edit')->name('admin.event.edit');
    Route::post('{event}/update', 'EventController@update')->name('admin.event.update');
    Route::post('{event}/delete', 'EventController@delete')->name('admin.event.delete');
});

Route::group(['prefix' => 'team'], function (): void {
    Route::get('/', 'TeamController@index')->name('admin.team.index');
    Route::post('/', 'TeamController@store')->name('admin.team.store');
    Route::get('create', 'TeamController@create')->name('admin.team.create');
    Route::get('{team}', 'TeamController@show')->name('admin.team.show');
    Route::get('{team}/edit', 'TeamController@edit')->name('admin.team.edit');
    Route::post('{team}/update', 'TeamController@update')->name('admin.team.update');
    Route::post('{team}/delete', 'TeamController@delete')->name('admin.team.delete');
});
