<?php

namespace EventPortal\Domain\Team\Models;

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Table\GroupedActions;
use EventPortal\Enums\InertiaMethod;
use Illuminate\Database\Eloquent\Model;

class Team extends Model
{
    /** @var array<string> */
    protected $guarded = [];

    public function tableActions(): GroupedActions
    {
        $team = $this;

        return GroupedActions::make('Manage team')
            ->add(static function () use ($team): Button {
                return Button::make('View')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.team.show', ['team' => $team->id]);
            })
            ->add(static function () use ($team): Button {
                return Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.team.edit', ['team' => $team->id]);
            });
    }
}
